Main Page Modules Data Structures File List Data Fields Globals Related Pages

# pgpDigParams_s Struct Reference
[RPMIO.]

`#include <rpmio_internal.h>`

## Data Fields
const char * | userid
const byte * | hash
const char * | params [4]
byte | tag
byte | version
byte | time [4]
byte | pubkey_algo
byte | hash_algo
byte | sigtype
byte | hashlen
byte | signhash16 [2]
byte | signid [8]
byte | saved

## Detailed Description

Values parsed from OpenPGP signature/pubkey packet(s).

Definition at line 29 of file rpmio_internal.h.

## Field Documentation

const byte* pgpDigParams_s::hash

| Definition at line 33 of file rpmio_internal.h. Referenced by pgpCleanDig, pgpPrtSig, verifyGPGSignature, and verifyPGPSignature.

byte pgpDigParams_s::hash_algo

| Definition at line 41 of file rpmio_internal.h. Referenced by pgpPrtSig, pgpsigFormat, rpmtsFindPubkey, verifyGPGSignature, and verifyPGPSignature.

byte pgpDigParams_s::hashlen

| Definition at line 43 of file rpmio_internal.h. Referenced by pgpPrtSig, verifyGPGSignature, and verifyPGPSignature.

const char* pgpDigParams_s::params[4]

| Definition at line 34 of file rpmio_internal.h. Referenced by pgpCleanDig.

byte pgpDigParams_s::pubkey_algo

| public key algorithm. Definition at line 39 of file rpmio_internal.h. Referenced by pgpPrtKey, pgpPrtSig, pgpsigFormat, rpmtsFindPubkey, verifyGPGSignature, and verifyPGPSignature.

byte pgpDigParams_s::saved

| Definition at line 46 of file rpmio_internal.h. Referenced by pgpPrtSubType.

byte pgpDigParams_s::signhash16[2]

| Definition at line 44 of file rpmio_internal.h. Referenced by pgpPrtSig, verifyGPGSignature, and verifyPGPSignature.

byte pgpDigParams_s::signid[8]

| Definition at line 45 of file rpmio_internal.h. Referenced by getSignid, pgpPrtPubkeyParams, pgpPrtSig, pgpPrtSubType, pgpsigFormat, rpmcliImportPubkey, rpmdbAdd, rpmdbRemove, rpmtsFindPubkey, rpmtsStashKeyid, verifyGPGSignature, and verifyPGPSignature.

byte pgpDigParams_s::sigtype

| Definition at line 42 of file rpmio_internal.h. Referenced by pgpPrtSig, verifyGPGSignature, and verifyPGPSignature.

byte pgpDigParams_s::tag

| Definition at line 35 of file rpmio_internal.h. Referenced by pgpPrtKey, and pgpPrtPkts.

byte pgpDigParams_s::time[4]

| time that the key was created. Definition at line 38 of file rpmio_internal.h. Referenced by pgpPrtKey, pgpPrtSig, pgpPrtSubType, pgpsigFormat, and rpmcliImportPubkey.

const char* pgpDigParams_s::userid

| Definition at line 31 of file rpmio_internal.h. Referenced by pgpCleanDig, pgpPrtUserID, and rpmcliImportPubkey.

byte pgpDigParams_s::version

| version number. Definition at line 37 of file rpmio_internal.h. Referenced by headerCheck, pgpPrtKey, pgpPrtSig, rpmcliImportPubkey, rpmReadPackageFile, and rpmVerifySignatures.

The documentation for this struct was generated from the following file:

- rpmio/rpmio_internal.h